Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.ssl
Class SSLClient

    java.lang.Object
      |
      +--org.mozilla.jss.ssl.SSLClient

public class SSLClient
extends java.lang.Object

Parameters supported by this socket test: filename file to be read from https server (default: /index.html) port port to connect to (default: 443) ipaddr address to connect to (overrides hostname, no default) hostname host to connect to (no default) clientauth do client-auth or not (default: no client-auth) The following parameters are used for regression testing, so we can print success or failure of the test. filesize size of file to be read status security status of connection - this has to be an integer cipher sessionKeySize sessionSecretSize issuer subject certSerialNum

Field Summary
`(package private) java.lang.String[]` | `argNames`
`(package private) java.util.Hashtable` | `args`
`(package private) static int[]` | `cipherSuites`
`(package private) boolean` | `doClientAuth`
`(package private) java.lang.String` | `failed`
`(package private) boolean` | `handshakeEventHappened`
`private static java.lang.String` | `htmlHeader`
`private static java.lang.String` | `htmlTail`
`(package private) java.lang.String` | `okay`
`(package private) java.io.PrintStream` | `results`
`(package private) java.lang.String[]` | `values`
`(package private) java.lang.String` | `versionStr`

Constructor Summary
`SSLClient(java.io.PrintStream ps, java.lang.String verStr, java.lang.String[] argv)`

Method Summary
`private java.lang.String` | `cmp(java.lang.String s1, int s2)`
`private java.lang.String` | `cmp(java.lang.String s1, java.lang.String s2)`
`private java.lang.String` | `escapeHTML(java.lang.String s)` given an input string, convert less-than, greater-than, and ampersand from raw characters to escaped characters (< becomes `&lt;', etc.)
`private java.lang.String` | `getArgument(java.lang.String key)`
`private boolean` | `isInvalid(java.lang.String s)`
`static void` | `main(java.lang.String[] argv)`
`void` | `run(boolean printHeader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handshakeEventHappened

    boolean handshakeEventHappened

### doClientAuth

    boolean doClientAuth

### args

    java.util.Hashtable args

### results

    java.io.PrintStream results

### versionStr

    java.lang.String versionStr

### argNames

    java.lang.String[] argNames

### values

    java.lang.String[] values

### okay

    java.lang.String okay

### failed

    java.lang.String failed

### htmlHeader

    private static java.lang.String htmlHeader

### htmlTail

    private static java.lang.String htmlTail

### cipherSuites

    static final int[] cipherSuites

Constructor Detail

### SSLClient

    public SSLClient(java.io.PrintStream ps,
                     java.lang.String verStr,
                     java.lang.String[] argv)

Method Detail

### isInvalid

    private boolean isInvalid(java.lang.String s)

### getArgument

    private java.lang.String getArgument(java.lang.String key)

### cmp

    private java.lang.String cmp(java.lang.String s1,
                                 java.lang.String s2)

### cmp

    private java.lang.String cmp(java.lang.String s1,
                                 int s2)

### run

    public void run(boolean printHeader)

### escapeHTML

    private java.lang.String escapeHTML(java.lang.String s)

  given an input string, convert less-than, greater-than, and ampersand from raw characters to escaped characters (< becomes `&lt;', etc.)

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD